Bug 1292040 - Review Request: tng - Trajectory Next Generation binary format manipulation library
Review Request: tng - Trajectory Next Generation binary format manipulation l...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 05:14 EST by Dominik 'Rathann' Mierzejewski
Modified: 2017-02-06 23:33 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-26 13:59:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Dominik 'Rathann' Mierzejewski 2015-12-16 05:14:51 EST
Spec URL: https://rathann.fedorapeople.org/review/tng/tng.spec
SRPM URL: https://rathann.fedorapeople.org/review/tng/tng-1.7.7-1.fc23.src.rpm
Description:
TRAJNG (Trajectory next generation) is a program library for handling
molecular dynamics (MD) trajectories. It can store coordinates, and
optionally velocities and the H-matrix. Coordinates and velocities are
stored with user-specified precision. In addition, program specific
information (text strings) can optionally be stored in the beginning
of each file. Atomic labels can also optionally be stored once in the
beginning of the file.

Fedora Account System Username: rathann
Comment 1 Dominik 'Rathann' Mierzejewski 2015-12-16 05:20:23 EST
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=12205092
Comment 2 Dominik 'Rathann' Mierzejewski 2015-12-16 05:24:15 EST
rpmlint output:

tng-devel.x86_64: W: only-non-binary-in-usr-lib
tng.x86_64: W: shared-lib-calls-exit /usr/lib64/libtng_io.so.1.7.7 exit@GLIBC_2.2.5
tng.src: W: strange-permission tng-mktarball.sh 755
tng.src:17: W: unversioned-explicit-provides bundled(md5-deutsch)
tng.src: W: invalid-url Source0: tng-1.7.7.tar.xz
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

I'll talk to upstream about that exit call.
Comment 3 Dominik 'Rathann' Mierzejewski 2015-12-16 05:26:42 EST
rpmlint output:

tng-devel.x86_64: W: only-non-binary-in-usr-lib
tng.x86_64: W: shared-lib-calls-exit /usr/lib64/libtng_io.so.1.7.7 exit@GLIBC_2.2.5
tng.src: W: strange-permission tng-mktarball.sh 755
tng.src:17: W: unversioned-explicit-provides bundled(md5-deutsch)
tng.src: W: invalid-url Source0: tng-1.7.7.tar.xz
4 packages and 0 specfiles checked; 0 errors, 5 warnings.

I'll talk to upstream about that exit call.
Comment 4 Dominik 'Rathann' Mierzejewski 2015-12-26 19:30:36 EST
Spec URL: https://rathann.fedorapeople.org/review/tng/tng.spec
SRPM URL: https://rathann.fedorapeople.org/review/tng/tng-1.7.8-1.fc24.src.rpm

* Sat Dec 26 2015 Dominik Mierzejewski <dominik@greysector.net> 1.7.8-1
- update to 1.7.8
- drop upstream'd patch
Comment 5 Antonio Trande 2015-12-27 06:49:07 EST
Review swap?
https://bugzilla.redhat.com/show_bug.cgi?id=1292392
Comment 6 Dominik 'Rathann' Mierzejewski 2016-01-06 18:05:56 EST
Sure, I'll try to review yours before the end of this week.
Comment 7 Dominik 'Rathann' Mierzejewski 2016-02-24 04:19:26 EST
Sorry for missing that review. Do you have any other packages ready for review? I need this package so that I can unbundle tng from gromacs.
Comment 8 Antonio Trande 2016-02-24 05:37:42 EST
(In reply to Dominik 'Rathann' Mierzejewski from comment #7)
> Sorry for missing that review. Do you have any other packages ready for
> review? I need this package so that I can unbundle tng from gromacs.

No need.
Comment 9 Antonio Trande 2016-02-24 06:22:54 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Large documentation must go in a -doc subpackage. Large could be size
  (~1MB) or number of files.
  Note: Documentation size is 2355200 bytes in 144 files.
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#PackageDocumentation

- 'Requires: %{name} = %{version}-%{release}' in -devel sub-package is not arched

- Diff spec file in url and in SRPM
---------------------------------
--- /home/sagitter/FedoraReview/1292040-tng/srpm/tng.spec	2016-02-24 11:50:16.394392162 +0100
+++ /home/sagitter/FedoraReview/1292040-tng/srpm-unpacked/tng.spec	2015-12-27 01:11:16.000000000 +0100
@@ -1,3 +1,2 @@
-# compression tests take up 3GB of disk space and a lot of time
 %global compression_tests 0


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated", "zlib/libpng". 128
     files have unknown license. Detailed output of licensecheck in
     /home/sagitter/FedoraReview/1292040-tng/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tng-
     devel , tng-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[!]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2355200 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: tng-1.7.8-1.fc24.x86_64.rpm
          tng-devel-1.7.8-1.fc24.x86_64.rpm
          tng-debuginfo-1.7.8-1.fc24.x86_64.rpm
          tng-1.7.8-1.fc24.src.rpm
tng.x86_64: W: shared-lib-calls-exit /usr/lib64/libtng_io.so.1.7.8 exit@GLIBC_2.2.5
tng-devel.x86_64: W: only-non-binary-in-usr-lib
tng.src: W: strange-permission tng-mktarball.sh 755
tng.src:18: W: unversioned-explicit-provides bundled(md5-deutsch)
tng.src: W: invalid-url Source0: tng-1.7.8.tar.xz
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: tng-debuginfo-1.7.8-1.fc24.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
tng-devel.x86_64: W: only-non-binary-in-usr-lib
tng.x86_64: W: shared-lib-calls-exit /usr/lib64/libtng_io.so.1.7.8 exit@GLIBC_2.2.5
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/sagitter/FedoraReview/1292040-tng/srpm/tng.spec	2016-02-24 11:50:16.394392162 +0100
+++ /home/sagitter/FedoraReview/1292040-tng/srpm-unpacked/tng.spec	2015-12-27 01:11:16.000000000 +0100
@@ -1,3 +1,2 @@
-# compression tests take up 3GB of disk space and a lot of time
 %global compression_tests 0
 


Requires
--------
tng-devel (rpmlib, GLIBC filtered):
    cmake
    libtng_io.so.1()(64bit)
    tng

tng (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    rtld(GNU_HASH)

tng-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
tng-devel:
    cmake(tng_io)
    tng-devel
    tng-devel(x86-64)

tng:
    bundled(md5-deutsch)
    libtng_io.so.1()(64bit)
    tng
    tng(x86-64)

tng-debuginfo:
    tng-debuginfo
    tng-debuginfo(x86-64)



Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 1292040
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 10 Dominik 'Rathann' Mierzejewski 2016-03-15 11:15:34 EDT
Spec URL: https://rathann.fedorapeople.org/review/tng/tng.spec
SRPM URL: https://rathann.fedorapeople.org/review/tng/tng-1.7.8-2.fc23.src.rpm

* Tue Mar 15 2016 Dominik Mierzejewski <dominik@greysector.net> 1.7.8-2
- make devel subpackage depend on arched main package
- move docs to -doc subpackage
Comment 11 Antonio Trande 2016-03-15 13:59:31 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

==== Issues ====

- Please, use %{_pkgdocdir} or %doc macro for documentation files.

- Include zlib license with License tag.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)", "Unknown or generated", "zlib/libpng". 128
     files have unknown license. Detailed output of licensecheck in
     /home/sagitter/FedoraReview/1292040-tng/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[!]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in tng-
     devel , tng-doc , tng-debuginfo
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: tng-1.7.8-2.fc25.x86_64.rpm
          tng-devel-1.7.8-2.fc25.x86_64.rpm
          tng-doc-1.7.8-2.fc25.noarch.rpm
          tng-debuginfo-1.7.8-2.fc25.x86_64.rpm
          tng-1.7.8-2.fc25.src.rpm
tng.x86_64: W: shared-lib-calls-exit /usr/lib64/libtng_io.so.1.7.8 exit@GLIBC_2.2.5
tng-devel.x86_64: W: only-non-binary-in-usr-lib
tng-devel.x86_64: W: no-documentation
tng.src: W: strange-permission tng-mktarball.sh 755
tng.src:28: W: unversioned-explicit-provides bundled(md5-deutsch)
tng.src: W: invalid-url Source0: tng-1.7.8.tar.xz
5 packages and 0 specfiles checked; 0 errors, 6 warnings.




Rpmlint (debuginfo)
-------------------
Checking: tng-debuginfo-1.7.8-2.fc25.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
tng-devel.x86_64: W: only-non-binary-in-usr-lib
tng-devel.x86_64: W: no-documentation
tng.x86_64: W: shared-lib-calls-exit /usr/lib64/libtng_io.so.1.7.8 exit@GLIBC_2.2.5
4 packages and 0 specfiles checked; 0 errors, 3 warnings.



Requires
--------
tng-devel (rpmlib, GLIBC filtered):
    cmake
    libtng_io.so.1()(64bit)
    tng(x86-64)

tng (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libm.so.6()(64bit)
    libz.so.1()(64bit)
    libz.so.1(ZLIB_1.2.0)(64bit)
    rtld(GNU_HASH)

tng-doc (rpmlib, GLIBC filtered):

tng-debuginfo (rpmlib, GLIBC filtered):



Provides
--------
tng-devel:
    cmake(tng_io)
    tng-devel
    tng-devel(x86-64)

tng:
    bundled(md5-deutsch)
    libtng_io.so.1()(64bit)
    tng
    tng(x86-64)

tng-doc:
    tng-doc

tng-debuginfo:
    tng-debuginfo
    tng-debuginfo(x86-64)



Generated by fedora-review 0.6.0 (7737a2a) last change: 2015-11-26
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 1292040
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 12 Dominik 'Rathann' Mierzejewski 2016-03-16 13:19:53 EDT
(In reply to Antonio Trande from comment #11)
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> ==== Issues ====
> 
> - Please, use %{_pkgdocdir} or %doc macro for documentation files.

I don't understand what you mean here. The spec already does this:
%files doc
%{_pkgdocdir}


> - Include zlib license with License tag.

Done.

Spec URL: https://rathann.fedorapeople.org/review/tng/tng.spec
SRPM URL: https://rathann.fedorapeople.org/review/tng/tng-1.7.8-3.fc23.src.rpm

* Wed Mar 15 2016 Dominik Mierzejewski <dominik@greysector.net> 1.7.8-3
- add zlib to license list
Comment 13 Antonio Trande 2016-03-16 14:06:18 EDT
(In reply to Dominik 'Rathann' Mierzejewski from comment #12)
> (In reply to Antonio Trande from comment #11)
> > Package Review
> > ==============
> > 
> > Legend:
> > [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> > [ ] = Manual review needed
> > 
> > ==== Issues ====
> > 
> > - Please, use %{_pkgdocdir} or %doc macro for documentation files.
> 
> I don't understand what you mean here. The spec already does this:
> %files doc
> %{_pkgdocdir}
> 
> 

-doc sub-package should provide its own license file; inside it, I guess you can tag all documentation with %doc without making a %{buildroot}%{_defaultdocdir}/tng directory.
Comment 14 Dominik 'Rathann' Mierzejewski 2016-03-17 10:54:05 EDT
(In reply to Antonio Trande from comment #13)
> (In reply to Dominik 'Rathann' Mierzejewski from comment #12)
> > (In reply to Antonio Trande from comment #11)
> > > Package Review
> > > ==============
> > > 
> > > Legend:
> > > [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> > > [ ] = Manual review needed
> > > 
> > > ==== Issues ====
> > > 
> > > - Please, use %{_pkgdocdir} or %doc macro for documentation files.
> > 
> > I don't understand what you mean here. The spec already does this:
> > %files doc
> > %{_pkgdocdir}
> > 
> > 
> 
> -doc sub-package should provide its own license file;

Right, I'll add it, though I think it's trivial enough to do upon import.

> inside it, I guess you can tag all documentation with %doc without making a
> %{buildroot}%{_defaultdocdir}/tng directory.

No, because then it'll end up in /usr/share/doc/tng-doc. Right now it installs nicely into /usr/share/doc/tng.

If there's nothing else, please approve.
Comment 15 Antonio Trande 2016-03-17 11:00:57 EDT
Package approved.
Comment 16 Gwyn Ciesla 2016-03-17 15:46:57 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/tng
Comment 17 Dominik 'Rathann' Mierzejewski 2016-03-17 16:31:02 EDT
(In reply to Antonio Trande from comment #15)
> Package approved.

Thank you.
Comment 18 Fedora Update System 2016-03-18 03:00:08 EDT
tng-1.7.8-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5397411e9
Comment 19 Fedora Update System 2016-03-18 03:00:15 EDT
tng-1.7.8-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-526243015e
Comment 20 Fedora Update System 2016-03-18 10:55:35 EDT
tng-1.7.8-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-526243015e
Comment 21 Fedora Update System 2016-03-18 21:23:40 EDT
tng-1.7.8-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d5397411e9
Comment 22 Fedora Update System 2016-03-26 13:59:23 EDT
tng-1.7.8-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 23 Fedora Update System 2016-03-27 21:19:13 EDT
tng-1.7.8-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.